// Copyright (c) 2012-2017 Algo Communication Products Ltd.

import QtQuick 1.1

Rectangle {
	opacity: 0

	property string page_id: ""
	property string door_id: ""
	property variant accessCodes: []
	property int door_open_time: 3
	property int door_open_counter: 0

	function setAccessCodes(value)
	{
		// use space, comma or semicolon to split the string
		accessCodes = value.split(/[,;\s]+/);
	}

	function reset()
	{
		keypad.clear();
	}

	Rectangle {
		x: 0; y: 0; width: 640; height: 480
		color: "#000000"

		MouseArea {
			anchors { fill: parent; }
			onPressed: {
				main.handleWakeup();
			}
		}
	}

	Image {
		id: dialpad_bg
		fillMode: Image.PreserveAspectFit
		x: 0
		y: 0
		source: main.theme + "door-bg.png"
	}

	SailKeypad {
		id: keypad
		password: 1
		transparent: 0
	}

	SailButton {
		x: 400; y: 80; width: 150 ; height: 84

		frame.border.width: 0
		frame.color: "transparent"
		pic.y: 0
		pic.source: main.theme + "dp-submit.png"
		highlight.source: main.theme + "white-150x84.png"
		label_res_top: 0
		label_res_height: 0

		transparent: 0

		function click()
		{
			main.handleTouch();
			if (accessCodes.indexOf(keypad.input) >= 0) {
				door_open_counter = door_open_time;
				keypad.clear();
				keypad.lock();

				boatSystem.sendPhoneMsg("door open "+ door_id);

				keypad.unlock();
			} else {
				door_open_counter = door_open_time;
				keypad.clear();
				keypad.lock();
				main.switchPage("lock");
				lockPage.showInvalid();
				keypad.unlock();
			}
		}
	}

	SailButton {
		x: 400; y: 380; width: 150 ; height: 84
		frame.border.width: 0
		frame.color: "transparent"
		pic.y: 0
		pic.source: main.theme + "dp-exit.png"
		highlight.source: main.theme + "white-150x84.png"
		label_res_top: 0
		label_res_height: 0

		transparent: 0

		function click()
		{
			main.handleTouch();
			door_open_counter = door_open_time;
			keypad.clear();
			boatSystem.sendPhoneMsg("door rls " + door_id);
			keypad.unlock();

			// take to the page before door page
			main.switchPageBack();
		}
	}
}
