// Copyright (c) 2012-2017 Algo Communication Products Ltd.

import QtQuick 1.1
import "sail_button_page.js" as SailButtonPageJs

Item {
	id: sail_button_page

	property int seq: 0
	width: 640; height: 480

	property string bg_image_name: ""
	property string page_id: ""
	property string page_description: ""

	property string bg_action_type: ""
	property string bg_action_target: ""

	property variant buttons: []

	Image {
		id: bg_image
		anchors.centerIn: parent
		width: 640; height: 480
	}

	// bg touch event
	MouseArea {
		anchors { fill: parent; }
		onPressed: {
			boatSystem.logd("bg touch: page # " + seq +
				", type = " + parent.bg_action_type +
				" target = " + parent.bg_action_target);

			if (bg_action_type == "goto") {
				main.handleTouch();
				main.switchPage(bg_action_target);
			} else if (bg_action_type == "call") {
				main.handleTouch();
				phonePage.callOut(bg_action_target);
			} else if (bg_action_type == "script") {
				main.handleTouch();
				boatSystem.exec(bg_action_target);
			} else if (bg_action_type == "lang") {
				main.handleTouch();
				main.setLang(bg_action_target);
			} else {
				main.handleWakeup();
			}
		}
	}

	Item {
		id: back_button
		width: 84; height: 84
		x: 5; y: 391

		Image {
			id: picBackButton
			anchors.fill: parent
			smooth: true
			source: main.theme + "back.png"
		}

		MouseArea {
			anchors { fill: parent; }
			onPressed: {
				main.handleTouch();
				main.switchPageBack();
			}
		}
	}

	Item {
		id:home_button
		width: 84 ; height: 84
		x: 551; y: 391

		Image {
			id: picExitButton
			anchors.fill: parent
			smooth: true
			source: main.theme + "home.png"
		}

		MouseArea {
			anchors { fill: parent; }
			onPressed: {
				main.handleTouch();
				main.switchPageHome();
			}
		}
	}

	Component.onCompleted: {
		SailButtonPageJs.config();
	}

	Component.onDestruction: {
		SailButtonPageJs.cleanup();
	}
}
