// Copyright (c) 2012-2017 Algo Communication Products Ltd.

import QtQuick 1.1
import "sail_command_button.js" as SailCommandButtonJs

Item {
	property int page_seq: 0;
	property int seq: 0;
	property string action: "";
	property string target: "";

	property int enable: 0;

	SailButton {
		id: base
		anchors { fill: parent;}

		function click()
		{
			boatSystem.logd("Button event:  page # " + page_seq +
				 ", button # " + seq +
				 ", type = " + parent.action +
				 ", target = " + parent.target);

			if (parent.action == "goto") {
				main.handleTouch();
				main.switchPage(parent.target);
			} else if (parent.action == "call") {
				phonePage.callOut(parent.target);
			} else if (parent.action == "Video Loopback") {
				main.handleTouch();
				vlbPage.startVlb();
			} else if (parent.action == "script") {
				main.handleTouch();
				boatSystem.exec(parent.target);
			} else if (parent.action == "Lang") {
				main.handleTouch();
				main.setLang(parent.target);
			} else {
				main.handleWakeup();
			}
		}
	}

	Component.onCompleted: {
		SailCommandButtonJs.config();
	}
}
