// Copyright (c) 2012-2017 Algo Communication Products Ltd.

import QtQuick 1.1

Item {
	id: delegate
	width: delegate.ListView.view.width; height: 64

    signal clicked()


	MouseArea {
		anchors.fill: parent

		onClicked: {
			delegate.ListView.view.currentIndex = index;
			selected_name = name;
			selected_address = addr;
			selected_phone = phone;
		}

		onPressed: {
			delegate.ListView.view.currentIndex = index;
			selected_name = name;
			selected_address = addr;
			selected_phone = phone;

			delegate.clicked();
		}
	}

	Text {
		id: name_field
		x: 20
		width: parent.width;
		height: {
					if(phone_field.opacity == 0)
							return parent.height;
					else
							return parent.height - phone_field.height;
				}

		text: name
		color: "black"
		font.pixelSize: 26
		font.bold: true
		wrapMode: Text.WrapAtWordBoundaryOrAnywhere
		verticalAlignment: Text.AlignVCenter
	}

	Text {
		id: phone_field
		opacity: 0
		x: 20
		anchors.top: name_field.bottom
		width: parent.width; height: 20
		text: "Tel:" + phone + " Addr : " + addr
		color: "black"
		font.pixelSize: 12
		font.bold: true
		wrapMode: Text.WrapAtWordBoundaryOrAnywhere
		verticalAlignment: Text.AlignVCenter
	}



	Rectangle {
		width: delegate.width; height: 1; color: "#cccccc"
		anchors.bottom: delegate.bottom
		//visible: delegate.ListView.isCurrentItem ? false : true
		visible: true
	}

	Rectangle {
		width: delegate.width; height: 1; color: "white"
		//visible: delegate.ListView.isCurrentItem ? false : true
		visible: true
	}

}


