// Copyright (c) 2012-2017 Algo Communication Products Ltd.

import QtQuick 1.1

Item {
	id: keypad
	property int password: 0
	property string input: ""

	property int transparent: 0
	property int display_text_limit: 14

	function append(ch)
	{
		if (input.length +1 > display_text_limit)
			return;

		display.text = display.text + (password ? '*' : ch);
		input = input + ch;
	}

	function clear()
	{
		display.text = "";
		input = "";
	}

	function lock()
	{
		digit_1.enable = false
		digit_2.enable = false
		digit_3.enable = false
		digit_4.enable = false
		digit_5.enable = false
		digit_6.enable = false
		digit_7.enable = false
		digit_8.enable = false
		digit_9.enable = false
		digit_star.enable = false
		digit_0.enable = false
		digit_hash.enable = false
		digit_x.enable = false
	}

	function unlock()
	{
		digit_1.enable = true
		digit_2.enable = true
		digit_3.enable = true
		digit_4.enable = true
		digit_5.enable = true
		digit_6.enable = true
		digit_7.enable = true
		digit_8.enable = true
		digit_9.enable = true
		digit_star.enable = true
		digit_0.enable = true
		digit_hash.enable = true
		digit_x.enable = true
	}


/*
	Rectangle {
		x: 85 ; y: 25; width: 210; height: 40
		border.width: 3
		border.color: "black"
		Text {
			id: display
			width: parent.width
			height: parent.height
			text:"";
			font.pointSize: 22; color: "#000000"
			font.bold : true
			horizontalAlignment: Text.AlignRight
			verticalAlignment: Text.AlignVCenter

		}
	}
*/

	Image {
		x: 80 ; y: 25; width: 248; height: 40
		//border.width: 3
		//border.color: "black"

		source: main.theme + "text-box.png"

		Text {
			id: display
			width: parent.width - 10
			height: parent.height
			text:"";
			font.pointSize: 22; color: "#000000"
			font.bold : true
			horizontalAlignment: Text.AlignRight
			verticalAlignment: Text.AlignVCenter

		}
	}

	SailKeyButton {
		id:digit_1
		x: 80; y: 80
		pic_source: main.theme + "d1.png"
		highlight_source: main.theme + "white-84x84.png"
		transparent: parent.transparent
		digit: "1"
	}

	SailKeyButton {
		id:digit_2
		x: 180; y: 80
		pic_source: main.theme + "d2.png"
		highlight_source: main.theme + "white-84x84.png"
		transparent: parent.transparent
		digit: "2"
	}

	SailKeyButton {
		id:digit_3
		x: 280; y: 80
		pic_source: main.theme + "d3.png"
		highlight_source: main.theme + "white-84x84.png"
		transparent: parent.transparent
		digit: "3"
	}

	SailKeyButton {
		id:digit_4
		x: 80; y: 180
		pic_source: main.theme + "d4.png"
		highlight_source: main.theme + "white-84x84.png"
		transparent: parent.transparent
		digit: "4"
	}

	SailKeyButton {
		id:digit_5
		x: 180; y: 180
		pic_source: main.theme + "d5.png"
		highlight_source: main.theme + "white-84x84.png"
		transparent: parent.transparent
		digit: "5"
	}

	SailKeyButton {
		id:digit_6
		x: 280; y: 180
		pic_source: main.theme + "d6.png"
		highlight_source: main.theme + "white-84x84.png"
		transparent: parent.transparent
		digit: "6"
	}

	SailKeyButton {
		id:digit_7
		x: 80; y: 280
		pic_source: main.theme + "d7.png"
		highlight_source: main.theme + "white-84x84.png"
		transparent: parent.transparent
		digit: "7"
	}

	SailKeyButton {
		id:digit_8
		x: 180; y: 280
		pic_source: main.theme + "d8.png"
		highlight_source: main.theme + "white-84x84.png"
		transparent: parent.transparent
		digit: "8"
	}

	SailKeyButton {
		id:digit_9
		x: 280; y: 280
		pic_source: main.theme + "d9.png"
		highlight_source: main.theme + "white-84x84.png"
		transparent: parent.transparent
		digit: "9"
	}

	SailKeyButton {
		id:digit_star
		x: 80; y: 380
		pic_source: main.theme + "da.png"
		highlight_source: main.theme + "white-84x84.png"
		transparent: parent.transparent
		digit: "*"
	}

	SailKeyButton {
		id:digit_0
		x: 180; y: 380
		pic_source: main.theme + "d0.png"
		highlight_source: main.theme + "white-84x84.png"
		digit: "0"
		transparent: parent.transparent
	}

	SailKeyButton {
		id:digit_hash
		x: 280; y: 380
		pic_source: main.theme + "dp.png"
		highlight_source: main.theme + "white-84x84.png"
		digit: "#"
		transparent: parent.transparent
	}

	SailButton {
		id:digit_x
		x: 324; y: 25
		width: 40; height: 40
		pic.source: main.theme + "x-small.png"

		frame.border.width: 0
		frame.color: "transparent"

		function click()
		{
			main.handleTouch();
			display.text = "";
			input = "";
		}
	}
}
