// Copyright (c) 2012-2017 Algo Communication Products Ltd.

import QtQuick 1.1

Item {
	property string page_id: ""
	property alias party: party.text;

	width: 640; height: 480

/*
	Image {
		source: bg_image
		anchors.centerIn: parent
	}
*/

	Image {
		x: 120; y: 110
		source: main.theme + "call-established.png"
	}

	Text {
		id: party
		x: 170; y: 70; width: 350
		text: "Video Loop Back"
		wrapMode: Text.WrapAtWordBoundaryOrAnywhere
		font.pointSize: 16; font.bold: true
		color:"black"
	}

	Item {
		x: 490; y: 380
		width: 130 ;height: 80

		Image {
			anchors.fill: parent;
			source: main.theme + "call-hangup.png"
		}

		MouseArea {
			anchors { fill: parent; }
			onPressed: {
				//stopVlb();
				main.switchPageBack();
				vlb_timer.running = true;
			}
		}
	}

	//timer for closing vlb
	Timer {
		id: vlb_timer;

		interval: 10;

		running: false;
		repeat: false

		triggeredOnStart: false

		onTriggered:
		{
			boatSystem.logd("closing vlb");
			boatSystem.vlb(0);
		}
	}


	function startVlb()
	{
		boatSystem.vlb(1);
		party.text = "Waiting for loopback video ... ";
		main.switchPage("vlb");
	}

	function stopVlb()
	{
		main.switchPageBack();
		boatSystem.vlb(0);
	}
}
