// Copyright (c) 2012-2017 Algo Communication Products Ltd.

import QtQuick 1.1
import "sail_main.js" as SailMainJs
import "rc/ts/sail_ts_all.js" as SailTsJs

Rectangle {
	id: main

	property string lang: "en"
	property int video_call_flag: 0
	property string appdir: "/apps/uiapp/"
	property string theme:
		(boatSystem.testDir(appdir + "user/theme") > 0) ?
			"user/theme/" : "rc/images/default/"

	function handleCmd(msg)
	{
		SailMainJs.handleCmd(msg);
	}

	function handleWakeup()
	{
		SailMainJs.handleWakeup();
	}

	function handleTouch()
	{
		SailMainJs.handleTouch();
	}

	function switchPage(dest)
	{
		SailMainJs.switchPage(dest);
	}

	function switchPageBack()
	{
		SailMainJs.switchPageBack();
	}

	function switchPageHome()
	{
		SailMainJs.switchPageHome();
	}

	function checkCurPage(id)
	{
		return SailMainJs.checkCurPage(id);
	}

	function sts(src)
	{
		return SailTsJs.translate(src, lang);
	}

	function setLang(newlang)
	{
		main.lang = newlang;
	}

	width: 640; height: 480

	Timer {
		id: idleTimer

		running: false
		repeat: false

		onTriggered: SailMainJs.handleIdleTimerTriggered()
	}

	SailPhonePage {
		id: phonePage
		opacity: 0
		page_id:"phone"
	}

	SailDialerPage {
		id: dialerPage
		opacity: 0
		page_id:"dialer"
	}

	SailLockPage {
		id: lockPage
		opacity: 0
		page_id: "lock"
	}

	SailAuthPage {
		id: authPage
		opacity: 0
		page_id:"auth"
	}

	SailStatusPage {
		id: statusPage
		opacity: 0
		page_id: "status"
	}

	SailVlbPage {
		id: vlbPage
		opacity: 0
		page_id: "vlb"
	}

	SailSlideshowPage {
		id: slideshowPage
		opacity: 0
		page_id: "slideshow"
	}

	SailBlankPage {
		id: blankPage
		opacity: 0
		page_id: "blank"
	}

	Component.onCompleted: {
		SailTsJs.init();
		SailMainJs.createPages();
	}
}
