// Copyright (c) 2012-2017 Algo Communication Products Ltd.

Qt.include("sail_config.js")

function config()
{
	boatSystem.logd("start config button page", seq);
	var bg_image_file = configGetPage(seq, "button.bg");
	if (bg_image_file != "")
		bg_image.source = main.appdir + bg_image_file;

	back_button.opacity = configGetPageInt(seq, "button.back");
	home_button.opacity = configGetPageInt(seq, "button.home");

	bg_action_type = configGetPage(seq, "button.action");
	if (bg_action_type == "call")
		bg_action_target = configGetPage(seq, "button.dest");
	else if (bg_action_type == "goto")
		bg_action_target = configGetPage(seq, "button.target");
	else if (bg_action_type == "script")
		bg_action_target = configGetPage(seq, "button.script");
	else
		bg_action_target = "";

	page_id = "page" + seq;

	var num_buttons;
	var attrs;

	var layout = configGetPage(seq, "button.layout");
	// attrs: width, height, x, y
	boatSystem.logd("Page " +  seq + " layout " + layout);

	if (layout == '') {
		num_buttons = 0;
	} else if (layout == '1') {
		num_buttons = 1;
		attrs = [[240, 160, 200, 160]];
	} else if (layout == '2') {
		num_buttons = 2;
		attrs = [[240, 160, 40, 160], [240, 160, 360, 160]];
	} else if (layout == '3') {
		num_buttons = 3;
		attrs = [[180, 120, 30, 160], [180, 120, 230, 160],
			 [180, 120, 430, 160]];
	} else if (layout == '2x2') {
		num_buttons = 4;
		attrs = [[200, 120, 110, 120], [200, 120, 330, 120],
			 [200, 120, 110, 260], [200, 120, 330, 260]];
	} else if (layout == '3x2') {
		num_buttons = 6;
		attrs = [[180, 120, 30, 100], [180, 120, 230, 100],
			 [180, 120, 430, 100], [180, 120, 30, 240],
			 [180, 120, 230, 240], [180, 120, 430, 240]];
	} else if (layout == '3x3') {
		num_buttons = 9;
		attrs = [[180, 100, 30, 20], [180, 100, 230, 20],
			 [180, 100, 430, 20], [180, 100, 30, 140],
			 [180, 100, 230, 140], [180, 100, 430, 140],
			 [180, 100, 30, 260], [180, 100, 230, 260],
			 [180, 100, 430, 260]];
	} else if (layout == '3x3fs') {
		num_buttons = 9;
		attrs = [[180, 100, 30, 80], [180, 100, 230, 80],
			 [180, 100, 430, 80], [180, 100, 30, 200],
			 [180, 100, 230, 200], [180, 100, 430, 200],
			 [180, 100, 30, 320], [180, 100, 230, 320],
			 [180, 100, 430, 320]];
		back_button.opacity = 0;
		home_button.opacity = 0;
	}

	var sail_button_comp = Qt.createComponent("SailCommandButton.qml");
	for (var i = 0; i < num_buttons; i++) {
		buttons[i] = sail_button_comp.createObject(sail_button_page,
			{"page_seq" : seq , "seq" : i + 1,
			 "width": attrs[i][0], "height": attrs[i][1],
			 "x": attrs[i][2], "y": attrs[i][3]});
	}
}

function cleanup()
{
	for (var i = 0; i < buttons.length; i++)
		buttons[i].destroy();
}
