// Copyright (c) 2012-2017 Algo Communication Products Ltd.

import QtQuick 1.1

Item {
	id: welcome

	property string page_id: "welcome"

	Image {
		id: bg_image
		source: "/apps/uiapp/rc/images/welcome.png"
	}

	Rectangle {
		x: 145 ; y: 306; width: 360; height: 32

		Text {
			id: display
			width: parent.width
			horizontalAlignment : Text.AlignHCenter
			verticalAlignment : Text.AlignVCenter
			text: boatSystem.getIpAddr();
			font.pointSize: 24
		}
	}

	Rectangle {
		id: pres
		x: 145 ; y: 350; width: 360; height: 32
		opacity: 0

		Text {
			width: parent.width
			horizontalAlignment : Text.AlignHCenter
			verticalAlignment : Text.AlignVCenter
			text: "Visitor Detected";
			font.pointSize: 24
		}
	}

	Timer {
		id: ip_timer
		interval: 2000
		running: false
		repeat: true

		onTriggered:
		{
			display.text = boatSystem.getIpAddr();
		}
	}

	function showPres(state)
	{
		pres.opacity = state ? 1 : 0;
	}

	Component.onCompleted: {
		ip_timer.running = true;
	}
}
